var App = (function(lng, undefined) {
    sectionTrigger = function(event) {
        event.stopPropagation();      
    };
    articleTrigger = function(event) {
        event.stopPropagation();
    };
	var environment = Lungo.Core.environment();
	if(''+environment.os.version+'' < '3') {
		$$('.nav li').css("border", "4px solid #fff");
	}	
})(Lungo);

Lungo.Events.init({
	//touch events
});
$$("[data-view-article=joke-article], [data-icon=comments]").tap(function(event){	
	msStaticFeed('joke');		
});

$$("[data-view-article=love-article], [data-icon=heart]").tap(function(event){		
	msStaticFeed('love');
});

$$("[data-view-article=poem-article], [data-icon=file]").tap(function(event){	
	msStaticFeed('poem');
});

$$("[data-view-article=photo-article], [data-icon=picture]").tap(function(event){		
	msStaticFeed('photo');
});

$$("[data-view-article=social-article], [data-icon=lightbulb]").tap(function(event){		
	msStaticFeed('social');
});
$$("[data-view-article=friend-article], [data-icon=group]").tap(function(event){	
	msStaticFeed('friend');
});
$$("[data-action=socialsShare]").tap(function(event){		
	msShareFeed($$(this).attr('data-value'),$$(this).attr('data-label-value'));	
});
$$("[data-action=reload]").tap(function(event){
	msRssfeedsetup('https://timepass-marathi.blogspot.com/feeds/posts/default/-/'+$$(this).attr('data-div')+'/?start-index=1&&max-results=500',$$(this).attr("data-div"), false);
	$$(this).hide();
});
$$("[data-action=fullLoad]").tap(function(event){
	msRssfeedsetup('https://timepass-marathi.blogspot.com/feeds/posts/default/-/'+$$(this).attr('data-div')+'/?start-index='+$$(this).attr('data-counter')+'&max-results=500',$$(this).attr("data-div"), true);	
});

$$("[data-action=contact]").tap(function(event){		
	msContactUs();	
});
Lungo.ready(function() {
	//
});
function msShareFeed(uID,label){
	var msg = unescape($("#"+uID).html().replace(/(<([^>]+)>)/ig,"\n")),
	msgValue = msg ? msg : null,
	cardPath = $("#"+uID).find('img').attr("src"),
	imgValue = cardPath ? cardPath : null,
	label = label ? label : null,
	d = new Date(), strDate = d.getDate() + "/" + (d.getMonth()+1) + "/" + d.getFullYear(), 
	marathiDate = msMarathiNumbers(strDate, "Devanagari");	
	//console.log(msgValue, marathiDate, imgValue, _('checkout')+'http://goo.gl/EsEOh0]');
	window.plugins.socialsharing.share(msgValue, _('date')+marathiDate, imgValue, _('checkout')+'http://goo.gl/1epY7R]');
}

function msMarathiNumbers(input, target) {
	var systems = {devanagari: 2406},zero = 48,nine = 57,offset = (systems[target.toLowerCase()] || zero) - zero,
	output = input.toString().split(""),i, l = output.length, cc;for (i = 0; i < l; i++) {cc = output[i].charCodeAt(0);
	if (cc >= zero && cc <= nine) {output[i] = String.fromCharCode(cc + offset);}}return output.join("");
}
function msShowCount(ele){counter = $$("#"+ele+" li").length ? $$("#"+ele+" li").length : "0";Lungo.Element.count("#"+ele+"-count", msMarathiNumbers(counter,"Devanagari"));}