var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
		document.addEventListener("menubutton", this.onMenuKeyDown, false);
    },
    // deviceready Event Handler
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicitly call 'app.receivedEvent(...);'
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
    },
	onMenuKeyDown: function() {
		if(''+Lungo.Core.environment().os.version+'' > '4') {
			Lungo.Aside.toggle('features');			
		}
    },
    // Update DOM on a Received Event
    receivedEvent: function() {		
		msCheckConnection();
		var environment = Lungo.Core.environment();		
    }
};
function msCheckConnection(){
var networkState = navigator.connection.type, noInternetMsg=_("No Connection!"), InternetMsg=_("Yes Connection!"), needInternet = _("Connection required"), states = {};
states[Connection.UNKNOWN]='Unknown connection';states[Connection.ETHERNET] = 'Ethernet connection';states[Connection.WIFI]   ='WiFi connection';states[Connection.CELL_2G]='Cell 2G connection';states[Connection.CELL_3G]='Cell 3G connection';states[Connection.CELL_4G]='Cell 4G connection';states[Connection.NONE]   ='No network connection';
	if(states[networkState] === "No network connection"){
		Internet = false;
		document.getElementById("kattaUpdates").innerHTML = noInternetMsg;
		msStaticFeed('joke');msStaticFeed('love');msStaticFeed('poem');msStaticFeed('photo');msStaticFeed('social');msStaticFeed('friend');
	}
	else{
		Internet = true;		
		document.getElementById("kattaUpdates").innerHTML=_('Loading...');		
		$.ajax({type: "GET",url:"https://www.google.com/jsapi",dataType: "text",contentType: "text/xml;charset=utf-8",async: true});		
		$$.ajax({type: "GET",url: "https://dl.dropboxusercontent.com/u/12389966/katta/msg.js",dataType: "json",async: true,
			success: function(data) { 
			  for(var i=0; i<data.data.length; i++){
				$$('#'+data.data[i].id).html(data.data[i].msg);
			  }
			},
			error: function(xhr, type) {alert(_("something wrong"))}
		});
		$.ajax({type: "GET",url: "js/AdMobPlugin.js",dataType: "script",contentType: "text/xml;charset=utf-8",async: false});
		msStaticFeed('joke');msStaticFeed('love');msStaticFeed('poem');msStaticFeed('photo');msStaticFeed('social');msStaticFeed('friend');
		mgShowAdmob();
	}
}

function msContactUs(){
	if(Internet){		
		var sender = $("#txt-user-name").val(), sendermail = $("#txt-user-email").val(), contactMessage = $("#txt-user-comment").val(), 
		deviceInfo = '';
		deviceInfo +='Device Version: '  + Lungo.Core.environment().os.version;
		if((sender != "") && (isValidEmailAddress( sendermail )) && (contactMessage != "")){	
			$('#js-mailResponse').html(_('Hi')+sender+_(', sending your message'));			
			var url = "http://www.marathigreetings.net/app/mgContact.php";
			var data = {senderName: sender, 
				senderEmail:sendermail,
				contents: contactMessage,
				appInfo: deviceInfo};
			var parseResponse = function(result){
					$('#js-mailResponse').html(_(result));
					$("#mgContactForm").get(0).reset();										
			};
			Lungo.Service.post(url, data, parseResponse, "html");
		}
		else{
		$('#js-mailResponse').text(_('Contact Error'));}
	}
}
function msTime(){var today=new Date(), h=today.getHours(), m=today.getMinutes(), s=today.getSeconds();if (h>12) { h=h-12}m = msCheckTime(m);document.getElementById('ist').innerHTML = msMarathiNumbers(h+":"+m,"Devanagari");var t = setTimeout(function(){msTime()},500);}
function msCheckTime(i) {if (i<10) {i = "0" + i};return i;}
function mgShowAdmob(){admob.createBannerView({'publisherId': 'ca-app-pub-4917850053799282/1854947754','adSize': admob.AD_SIZE.SMART_BANNER}, function() {admob.requestAd({'isTesting': false,'extras': {'color_bg': 'AAAAFF','color_bg_top': 'FFFFFF','color_border': 'FFFFFF','color_link': '000080','color_text': '808080','color_url': '008000'}},function(){});});}
function msStaticFeed(feedName){						
	if(window.localStorage[feedName]){
		$('#'+feedName).html(window.localStorage.getItem(feedName));				
		paginate(feedName);				
	}
	if(Internet){
	$("."+feedName+"Status").html("<a class='button anchor accept' href='#' data-action='reload' data-div='"+feedName+"'>"+_("reload")+"</a>");	
	}else {
		$("."+feedName+"Status").html('<li class="accept text align_center">'+_('Connection required')+'</li>');				
	}
	msShowCount(feedName);
}

function msRssfeedsetup(feedurl, theDiv, append){
	if(Internet) {
		var feed = new google.feeds.Feed(feedurl);
		feed.setNumEntries(500);
		feed.load(function(result) {
		if(!result.error){
			entries = result.feed.entries;
			$('#'+theDiv+'_navigation').html('');
			msDisplayfeed(entries, theDiv, append);				
			} 
		else {
			$("."+theDiv+"Status").html('<li class="accept text align_center">'+_('Connection required')+'</li>');
		}});
	}
	else{
		$("."+theDiv+"Status").html(_('cached version'));
		entries = JSON.parse(window.localStorage.getItem(theDiv));
		msDisplayfeed(entries, theDiv, append);
		$('#'+theDiv+'_navigation').html('');
		paginate(theDiv);
	}
}
function msDisplayfeed(entries, theDiv, append){	
	var afterNotification = function(){
    	paginate(theDiv);
		msShowCount(theDiv);
	};	
	Lungo.Notification.show(
		"check",                //Icon
		_("Loading..."),        //Title
		2,                      //Seconds
		afterNotification       //Callback function
	);	
	var nextLink = '', s = '', linkStyle;		
	$.each(entries, function(i, v){
	var uID = Math.random().toString(36).substr(2, 5), msg = unescape(v.content.replace(/(<([^>]+)>)/ig,"\n"));    	
	s += '<li class="accept"><div id="'+uID+'">' + v.content + '</div><button class="button anchor theme bold margin-top js-Share" data-action="socialsShare" data-label-value=\"'+_(theDiv)+'\" data-value=\"'+uID+'\">'+_('Social Sharing')+'</button></li>';
	});

	if(append == true){
		$('#'+theDiv).append(s);			   	
	} else {
		$('#'+theDiv).html(s);			   			
	}
	if($('#'+theDiv+' div a img').length > 0) {
		$("img").each(function() {
		  $(this).attr("src", $(this).attr("src").replace("s640", "s320"));
		});
		$("img").parents("li").removeClass('accept').addClass('color');
		$("#"+theDiv+" a").attr("href","#").css("margin","-20px -20px 0").css("border","1px solid #cfcfcf");
	}
	var localData = $('#'+theDiv).html();
	window.localStorage.setItem(theDiv, localData);		   	
	$('#'+theDiv).html(window.localStorage.getItem(theDiv));
	///
	var nextCounter = $('.'+theDiv+'Paging .button').length+1;	
	var contentCounter = $("#"+theDiv+" li").length+1;		

	if((Internet) && (s !="" )){
	nextLink += '<a href="#" class="button anchor" data-action="fullLoad" data-div="'+theDiv+'" data-counter="'+contentCounter+'">'+_("Load more")+'</a>';	
	} else {
		nextLink +='<li class="accept text align_center">'+_("No more contents")+'</li>';
	}		 				
	$('.'+theDiv+'Status').html(nextLink);			
}
function paginate(theDiv){		
	//how much items per page to show  
	var show_per_page = 1;  
	//getting the amount of elements inside content div  
	var number_of_items = $('#'+theDiv).children().size();  
	//calculate the number of pages we are going to have  
	var number_of_pages = Math.ceil(number_of_items/show_per_page);  
	//set the value of our hidden input fields  
	$('#'+theDiv+'_current_page').val(0);  
	$('#'+theDiv+'_show_per_page').val(show_per_page);	  
	//now when we got all we need for the navigation let's make it '
	var navigation_html = '<div>';
	var current_link = 0;
	while(number_of_pages > current_link){
	navigation_html += '<a class="button page_link margin-top" href="javascript:go_to_page(' + current_link +', \''+theDiv+'\')" longdesc="' + current_link +'">'+ msMarathiNumbers(current_link + 1,"Devanagari") +'</a>';current_link++;
	}  
	navigation_html += '</div>';
	$('#'+theDiv+'_navigation').html('<ul class="margin-bottom"><li class="warning text align_center">'+_('Swipe LEFT and RIGHT')+'</li></ul><div class="horizontal scroll layout" data-layout="primary">'+navigation_html+'</div>');
	//add active_page class to the first page link  
	$('#'+theDiv+'_navigation .page_link:first').addClass('accept');
	//hide all the elements inside content div  
	$('#'+theDiv).children().css('display', 'none');
	//and show the first n (show_per_page) elements  
	$('#'+theDiv).children().slice(0, show_per_page).css('display', 'block');
	Lungo.Notification.hide();
}
function previous(theDiv){
	new_page = parseInt($('#'+theDiv+'_current_page').val()) - 1;  
	//if there is an item before the current active link run the function  
	if($('.accept').prev('.page_link').length==true){  
		go_to_page(new_page, theDiv);  
	}
}
function next(theDiv){  
	new_page = parseInt($('#'+theDiv+'_current_page').val()) + 1;  
	//if there is an item after the current active link run the function  
	if($('.accept').next('.page_link').length==true){  
		go_to_page(new_page,theDiv);  
	}
}
function go_to_page(page_num, theDiv){  
	//get the number of items shown per page
	var show_per_page = parseInt($('#'+theDiv+'_show_per_page').val());
	//get the element number where to start the slice from  
	start_from = page_num * show_per_page;
	//get the element number where to end the slice
	end_on = start_from + show_per_page;
	//hide all children elements of content div, get specific items and show them
	$('#'+theDiv).children().css('display', 'none').slice(start_from, end_on).css('display', 'block');
	$('.page_link[longdesc=' + page_num +']').addClass('accept').siblings('.accept').removeClass('accept');  

	//update the current page input field  
	$('#'+theDiv+'_current_page').val(page_num);  
}
function isValidEmailAddress(emailAddress) {var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);return pattern.test(emailAddress);}